apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    restore.kubevirt.io/lastRestoreUID: tmp-restore-d989f1a8-37b1-4709-ad43-d7ef8636ec50-f5ea046b-5e82-4fff-8edb-1a212049beb8
  creationTimestamp: "2024-02-20T08:26:04Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 1
  name: clone-golden-vm-dbd5f
  namespace: default
  resourceVersion: "83947"
  uid: 369528cc-cf21-418b-a8af-9bb7b27b13ac
spec:
  dataVolumeTemplates:
  - metadata:
      creationTimestamp: null
      name: golden-vm-volume
    spec:
      sourceRef:
        kind: DataSource
        name: rhel9
        namespace: openshift-virtualization-os-images
      storage:
        resources:
          requests:
            storage: "32212254720"
        storageClassName: managed-csi
  instancetype:
    kind: VirtualMachineClusterInstancetype
    name: u1.medium
    revisionName: clone-golden-vm-dbd5f-u1.medium-aa56d352-bc48-4a00-8517-83dc16ccb515-1
  preference:
    kind: virtualmachineclusterpreference
    name: rhel.9
    revisionName: clone-golden-vm-dbd5f-rhel.9-4361de7f-cbc7-48bf-8175-b647f62bbf52-1
  running: false
  template:
    metadata:
      creationTimestamp: null
    spec:
      accessCredentials:
      - sshPublicKey:
          propagationMethod:
            noCloud: {}
          source:
            secret:
              secretName: key
      architecture: amd64
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: rootdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - macAddress: 02:73:3c:00:00:01
            masquerade: {}
            name: default
        machine:
          type: pc-q35-rhel9.2.0
        resources: {}
      networks:
      - name: default
        pod: {}
      volumes:
      - dataVolume:
          name: golden-vm-volume
        name: rootdisk
      - cloudInitNoCloud:
          userData: |
            #cloud-config
            chpasswd:
              expire: false
            password: 3qja-kl92-d70y
            user: cloud-user
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: "2024-02-20T08:26:07Z"
    lastTransitionTime: "2024-02-20T08:26:07Z"
    message: VMI does not exist
    reason: VMINotExists
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: Initialized
  printableStatus: Stopped
  volumeSnapshotStatuses:
  - enabled: true
    name: rootdisk
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
